#!/usr/bin/env gnuplot

set grid
set key bottom
set format y "%.1f"
set xlabel "Number of cores" 
set ylabel "Speedup" 
set term pdfcairo enhanced font "Times,14" linewidth 2 rounded size 5.0in, 3.0in
set output 'scaling.pdf'
set pointsize 0.5
plot 'scaling.dat' i 1 u 1:(740.99828964984044/$2) w lp title "ARM Q80", \
     'scaling.dat' i 0 u 1:(266./$2) w lp title "AMD EPYC", \
      x title "Ideal"
